package com.winhc;

import com.alibaba.fastjson.JSON;
import org.apache.http.HttpEntity;
import org.apache.http.entity.ContentType;
import org.apache.http.nio.entity.NStringEntity;
import org.apache.http.util.EntityUtils;
import org.elasticsearch.client.Response;
import org.elasticsearch.client.RestClient;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.boot.test.context.SpringBootTest;
import java.io.IOException;
import java.util.Collections;

@SpringBootTest
class ESSearchlTest {

    @Qualifier("bean")
    @Autowired
    RestClient restClient;


    @Test
    void tips() throws IOException {

        String query = "{\n" +
                "  \"query\": {\n" +
                "    \"term\": {\n" +
                "      \"deleted\": {\n" +
                "        \"value\": \"1\"\n" +
                "      }\n" +
                "    }\n" +
                "  }\n" +
                "}";
        HttpEntity entity = new NStringEntity(query, ContentType.APPLICATION_JSON);
        Response response = restClient.performRequest(
                "POST",
                "/judicial_case_detail_v20210617_dev/_delete_by_query?slices=auto&conflicts=proceed&wait_for_completion=false",
                Collections.emptyMap(),
                entity);
        String res = EntityUtils.toString(response.getEntity());
        System.out.println(res);
        String taskId = JSON.parseObject(res).getString("task");

        String task = "/_tasks/" + taskId;
        Response get = restClient.performRequest("GET", task);
        String s = EntityUtils.toString(get.getEntity());
        System.out.println(s);

    }
}