package com.winhc;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import org.junit.Test;

import java.util.Iterator;


/**
 * @author π
 * @Description:
 * @date 2021/4/7 17:06
 */
public class Test1 {

    @Test
    public void parseJson() {
        String s = "{\"company_infos\":[{\"company_name\":\"内蒙古福事特液压有限公司\",\"company_id\":\"6c2167b6302f66f1b81acb33e401d0bb\"},{\"company_name\":\"江西福事特液压有限公司\",\"company_id\":\"54e9a3dc2ff4a7d9b37251d57107d663\"},{\"company_name\":\"长沙福事特液压有限公司\",\"company_id\":\"bce86f859c2193b51a7630841cc5e892\"}],\"person_name\":\"郭少华\"}";
        JSONObject jsonObject = JSONObject.parseObject(s);
        String person_name = jsonObject.getString("person_name");
        System.out.println(person_name);

        JSONArray company_infos = jsonObject.getJSONArray("company_infos");
        for (Iterator iterator = company_infos.iterator(); iterator.hasNext();) {
            JSONObject jsonObject1 = (JSONObject) iterator.next();
            String company_id = jsonObject1.getString("company_id");
            System.out.println(company_id);
        }
    }
}
