package com.winhc.bean;

import com.winhc.utils.JsonUtils;
import lombok.*;

import java.util.Map;

/**
 * @Author: π
 * @Date: 2021/1/28
 * @Description:
 */
@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MergeParam {
    private String flow;
    private String taskName;
    private String topic;
    private String bizdate;
    private String lastPartition;
    private String currentPartition;
    private String afterPartition;
    private String before7DayPartition;
    private String pathPre;
    private String mergePath;
    private String incrPath;
    private String deletedPath;

    @Override
    public String toString() {
        return JsonUtils.jsonObjToString(this);
    }
}
