package com.winhc.utils;

import com.alibaba.fastjson.JSON;
import lombok.extern.slf4j.Slf4j;
import org.apache.http.HttpEntity;
import org.apache.http.entity.ContentType;
import org.apache.http.nio.entity.NStringEntity;
import org.apache.http.util.EntityUtils;
import org.elasticsearch.client.Response;
import org.elasticsearch.client.RestClient;

import java.io.IOException;
import java.util.Collections;

/**
 * @author π
 * @Description:
 * @date 2021/6/22 19:42
 */
@Slf4j
public class EsUtils {

    public static String deletedByQuery(RestClient restClient, String dsl,String index) throws IOException {
        log.info("deletedByQuery start | index:{} | dsl: \n {} \n", index,dsl);
        HttpEntity entity = new NStringEntity(dsl, ContentType.APPLICATION_JSON);
        Response response = restClient.performRequest(
                "POST",
                "/"+index+"/_delete_by_query?slices=auto&conflicts=proceed&wait_for_completion=false",
                Collections.emptyMap(),
                entity);
        String taskId = JSON.parseObject(EntityUtils.toString(response.getEntity())).getString("task");
        log.info("deletedByQuery end | taskId:{} | !!!", taskId);
        return taskId;
    }
}
